<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames((['name', 'label', 'value' => '', 'type' => 'text', 'required' => false]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter((['name', 'label', 'value' => '', 'type' => 'text', 'required' => false]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>

<label class="block text-sm">
    <?php echo e($label); ?>

    <input
        name="<?php echo e($name); ?>"
        type="<?php echo e($type); ?>"
        value="<?php echo e($value); ?>"
        <?php if($required): echo 'required'; endif; ?>
        <?php if($type === 'number'): ?> step="0.001" min="0" <?php endif; ?>
        class="mt-1 w-full rounded-md border px-3 py-2"
    >
</label>
<?php /**PATH /Users/dedehermawan/Dokumen/project/laundry/resources/views/components/master/input.blade.php ENDPATH**/ ?>